Subject: [Anima] I-D Action: draft-ietf-anima-constrained-voucher-16.txt

From: [email-masked]
Date: Mon, 14 Feb 2022 17:44:46 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Autonomic Networking Integrated Model and Approach WG of the IETF.

        Title           : Constrained Bootstrapping Remote Secure Key Infrastructure (BRSKI)
        Authors         : Michael Richardson
                          Peter van der Stok
                          Panos Kampanakis
                          Esko Dijk
	Filename        : draft-ietf-anima-constrained-voucher-16.txt
	Pages           : 77
	Date            : 2022-02-14

Abstract:
   This document defines the Constrained Bootstrapping Remote Secure Key
   Infrastructure (Constrained BRSKI) protocol, which provides a
   solution for secure zero-touch bootstrapping of resource-constrained
   (IoT) devices into the network of a domain owner.  This protocol is
   designed for constrained networks, which may have limited data
   throughput or may experience frequent packet loss.  Constrained BRSKI
   is a variant of the BRSKI protocol, which uses an artifact signed by
   the device manufacturer called the "voucher" which enables a new
   device and the owner's network to mutually authenticate.  While the
   BRSKI voucher is typically encoded in JSON, Constrained BRSKI defines
   a compact CBOR-encoded voucher.  The BRSKI voucher is extended with
   new data types that allow for smaller voucher sizes.  The Enrollment
   over Secure Transport (EST) protocol, used in BRSKI, is replaced with
   EST-over-CoAPS; and HTTPS used in BRSKI is replaced with CoAPS.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-anima-constrained-voucher/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-anima-constrained-voucher-16.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-anima-constrained-voucher-16

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts

---

From: Michael Richardson <[email-masked]>
Date: Wed, 16 Feb 2022 15:51:29 -0500

[email-masked] wrote:
    > A New Internet-Draft is available from the on-line Internet-Drafts
    > directories.  This draft is a work item of the Autonomic Networking
    > Integrated Model and Approach WG of the IETF.

    >         Title : Constrained Bootstrapping Remote Secure Key
    > Infrastructure (BRSKI) Authors : Michael Richardson Peter van der Stok
    > Panos Kampanakis Esko Dijk Filename :
    > draft-ietf-anima-constrained-voucher-16.txt Pages : 77 Date :
    > 2022-02-14

...

    > https://www.ietf.org/rfcdiff?url2=draft-ietf-anima-constrained-voucher-16

1) many small editorial bits.
2) Figure 3 has been added to map the enumerated assertion types to integers.
   Examples have been updated.  Some previous examples/vouchers used strings.

3) 15.7.  Update to BRSKI Parameters Registry
   We update the RFC8995 /.well-known/brski to add a column for the shorter
   URL values that we introduce in this document.

4) we've included a number of additional names in the Acknowledgements, but
   we have not yet made the list consistent with the kramdown/xmlv3 machine
   parseable contributors section.
   We expect to fix that as we get additional reviews at the WGLC, and IESG
   evaluation stages.
   (I consider all reviews to be contributions, and I want them machine
   parseable)

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide